Bug 1206222 - Review Request: perl-Dist-Zilla-Plugin-Test-Compile - Common tests to check syntax of your modules, only using core modules
Summary: Review Request: perl-Dist-Zilla-Plugin-Test-Compile - Common tests to check s...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jitka Plesnikova
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-26 15:02 UTC by Petr Šabata
Modified: 2015-05-14 09:01 UTC (History)
2 users (show)

Fixed In Version: perl-Dist-Zilla-Plugin-Test-Compile-2.052-1.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-05-14 09:01:22 UTC
jplesnik: fedora-review+
puiterwijk: fedora-cvs+


Attachments (Terms of Use)

Comment 1 Petr Šabata 2015-03-26 15:04:56 UTC
Description:
This is a Dist::Zilla plugin that runs at the gather files stage, providing
a test file (configurable, defaulting to t/00-compile.t).

Comment 2 Jitka Plesnikova 2015-03-31 17:58:21 UTC
Source file is ok
Summary is ok
License is ok
Description is ok
URL and Source0 are ok
All tests passed
BuildRequires are ok

$ rpm -qp --requires perl-Dist-Zilla-Plugin-Test-Compile-2.051-1.fc23.noarch.rpm | sort | uniq -c
      1 perl >= 0:5.008
      1 perl(:MODULE_COMPAT_5.20.2)
      1 perl(Data::Section) >= 0.004
      1 perl(Dist::Zilla::File::InMemory)
      1 perl(Dist::Zilla::Role::FileFinderUser)
      1 perl(Dist::Zilla::Role::FileGatherer)
      1 perl(Dist::Zilla::Role::FileMunger)
      1 perl(Dist::Zilla::Role::PrereqSource)
      1 perl(Dist::Zilla::Role::TextTemplate)
      1 perl(Moose)
      1 perl(Moose::Util::TypeConstraints)
      1 perl(Path::Tiny)
      1 perl(Sub::Exporter::ForMethods)
      1 perl(namespace::autoclean)
      1 perl(strict)
      1 perl(warnings)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
Binary requires are Ok.

$ rpm -qp --provides perl-Dist-Zilla-Plugin-Test-Compile-2.051-1.fc23.noarch.rpm | sort | uniq -c
      1 perl(Dist::Zilla::Plugin::Test::Compile) = 2.051
      1 perl-Dist-Zilla-Plugin-Test-Compile = 2.051-1.fc23
Binary provides are Ok.

$ rpmlint ./perl-Dist-Zilla-Plugin-Test-Compile*
2 packages and 1 specfiles checked; 0 errors, 0 warnings.
Rpmlint is ok


Package looks good.
APPROVED.

Comment 3 Petr Šabata 2015-04-01 14:00:50 UTC
New Package SCM Request
=======================
Package Name: perl-Dist-Zilla-Plugin-Test-Compile
Short Description: Common tests to check syntax of your modules, only using core modules
Upstream URL: http://search.cpan.org/dist/Dist-Zilla-Plugin-Test-Compile/
Owners: psabata jplesnik ppisar
Branches: f21 f22
InitialCC: perl-sig

Comment 4 Patrick Uiterwijk 2015-04-02 14:37:20 UTC
Git done (by process-git-requests).

Comment 5 Fedora Update System 2015-04-02 15:22:23 UTC
perl-Dist-Zilla-Plugin-Test-Compile-2.052-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/perl-Dist-Zilla-Plugin-Test-Compile-2.052-1.fc22

Comment 6 Fedora Update System 2015-04-02 15:28:57 UTC
perl-Dist-Zilla-Plugin-Test-Compile-2.052-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/perl-Dist-Zilla-Plugin-Test-Compile-2.052-1.fc21

Comment 7 Petr Šabata 2015-04-02 15:49:30 UTC
Thank you both.

Comment 8 Fedora Update System 2015-04-18 09:51:10 UTC
perl-Dist-Zilla-Plugin-Test-Compile-2.052-1.fc21 has been pushed to the Fedora 21 stable repository.

Comment 9 Fedora Update System 2015-04-21 18:28:50 UTC
perl-Dist-Zilla-Plugin-Test-Compile-2.052-1.fc22 has been pushed to the Fedora 22 stable repository.


Note You need to log in before you can comment on or make changes to this bug.